<script type="text/javascript">
$(document).ready(function() {
    $(function() {
        $("#theList.detail tr:even").addClass("stripe1");
        $("#theList.detail tr:odd").addClass("stripe2");

        $("#theList.detail tr").hover(
            function() {
                $(this).toggleClass("highlight");
            },
            function() {
                $(this).toggleClass("highlight");
            }
        );
    });	
});

	function edit_data(ID){
		var kode = ID;
						
		$.ajax({
			type	: "POST",
			url		: "modul/pener_kas/edit.php",
			data	: "kode="+kode,
			dataType	: "json",
			success	: function(data){
				$("#txt_idbkm").val(kode);
				$("#txt_noakun").val(data.noakun);
				$("#txt_nobp").val(data.nobp);
				$("#txt_naakun").val(data.naakun);				
				$("#txt_ket").val(data.ket);				
				$("#txt_jumlah").val(data.jumlah);
			}
		});		
	}

	function hapus_data(ID){
		var pilih = confirm('Data yang akan dihapus kode = '+ID+ '?');
		if (pilih==true) {
		var kode = ID;
		$.ajax({
			type	: "POST",
			url	: "modul/pener_kas/hapus.php",
			data	: "kode="+kode,
			success	: function(data){
				$("#info").html(data);
				tampil_data_detail();
			}
		});
		}
	}
	
	function tampil_data_detail(){
		var	kode=$("#txt_kode").val();
		$("#data_detail").load("modul/pener_kas/tampil_data_detail.php?kode="+kode);		
	}
		
</script>

<?php
include '../../inc/inc.koneksi.php';
$kode	= $_GET[kode];
echo "<table id='theList' class='detail' width='100%'>
		<tr>
			<th>No.</th>
			<th>Kode Akun</th>
			<th>Nama Akun</th>
			<th>Kode BP</th>
			<th>Nama Buku Pembantu</th>
			<th>Keterangan</th>
			<th>Jumlah</th>
			<th>Aksi</th>
		</tr>";
		$sql = "SELECT * FROM jurkm WHERE kode_km='$kode' ORDER BY kode_km";
						
		$query = mysql_query($sql);
		$no=1;
		$total=0;
		while($r_data=mysql_fetch_array($query)){			
			$total = $total+$r_data[jumlah];
			echo "<tr>
					<td align='center'>$no</td>
					<td align='center'>$r_data[noakun]</td>
					<td>$r_data[naakun]</td>
					<td align='center'>$r_data[nobp]</td>
					<td>$r_data[namabp]</td>					
					<td>$r_data[keterangan]</td>
					<td align='right'>".number_format($r_data[jumlah],2)."</td>
					<td align='center'>
						<a href='javascript:void(0)' onClick=\"edit_data('$r_data[id_bkm]')\">
						<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' ></a>					
						<a href='javascript:void(0)' onClick=\"hapus_data('$r_data[id_bkm]')\">
						<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' ></a>
					</td>
				</tr>";
			$no++;			
		}
		echo "<tr>				
				<td></td>
				<td></td>
				<td></td>
				<td></td>
				<td></td>				
				<td align='right'>Total </td>
				<td align='right'>".number_format($total,2)."</td>
			</tr>";
			
	echo "</table>";	
?>